View Issue Details

IDProjectCategoryView StatusLast Update
0008022Multi Theft Auto : San AndreasScriptingpublic2014-06-14 06:25
ReporterGallardo9944Assigned Toccw 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindows / Linux (Wine)OS Version
Product Version 
Target Version1.4Fixed in Version1.4 
Summary0008022: getPlayerACInfo always fails to return MD5 and size
Description

getPlayerACInfo never returns d3d9MD5, but only an empty string. d3d9Size always equals to 0, no matter what d3d9.dll is used.

Steps To Reproduce

Create a server-side resource with such script contains:

-- CODE STARTS HERE
function onJoin()
local player = source
local info = getPlayerACInfo(player)
local dAC = info.DetectedAC
local dMD5 = info.d3d9MD5
local dSIZE = info.d3d9Size
local name = getPlayerName(player)

outputDebugString("ENTRY: "..tostring(name)..": DetectedAC: "..tostring(dAC).."; d3d9MD5: "..tostring(dMD5).."; d3d9Size: "..tostring(dSIZE))
outputServerLog("ENTRY: "..tostring(name)..": DetectedAC: "..tostring(dAC).."; d3d9MD5: "..tostring(dMD5).."; d3d9Size: "..tostring(dSIZE))
end
addEventHandler("onPlayerJoin",getRootElement(),onJoin)
-- CODE ENDS HERE

Put any d3d9.dll into your GTA fodler, start MTA, join your server, see that it always outputs "" and "0" in your server console.

Additional Information

This should be fixed as soon as possible as d3d9 injection might be a way to load custom clientside codes into memory and execute the malware code.

TagsNo tags attached.

Activities

LarSoWiTsH

2014-01-31 20:47

viewer   ~~0020115

I injected Ultra Thing 28a and tried "getPlayerACInfo"..( v1.3.5-release-6104 )
All works correct and here is the code: Here is the code: http://pastebin.com/xshTErr9

Gallardo9944

2014-01-31 20:48

viewer   ~~0020116

seems to reproduce randomly then.

ccw

2014-02-01 03:12

administrator   ~~0020122

getPlayerACInfo should not be used when a player joins.
It needs to be called every few seconds as the information changes over time.

Gallardo9944

2014-02-01 12:09

viewer   ~~0020126

Shouldn't it be generated on MTA start?

ccw

2014-02-01 17:25

administrator   ~~0020132

No. I've added an example here:
https://wiki.multitheftauto.com/wiki/GetPlayerACInfo

arezu

2014-02-01 18:20

viewer   ~~0020133

It returns empty string no matter when you call it, for many players.

ccw

2014-02-02 07:11

administrator   ~~0020138

There is a problem with getPlayerACInfo after all. It will be fixed in the next update.

Woovie

2014-02-03 20:22

manager   ~~0020148

Last edited: 2014-02-03 20:23

View 2 revisions

Fixed in https://code.google.com/p/mtasa-blue/source/detail?r=6108

Issue History

Date Modified Username Field Change